<button (click)="increment()">Increment</button>

<div>Current Count: {{ counter$ | async }}</div>

<button (click)="decrement()">Decrement</button>

<button (click)="reset()">Reset Counter</button>

